[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TBucketItem

Record used in bucket list.

## Declaration

Source position: contnrs.pp line 515

`type TBucketItem = record`
`Item: Pointer;` |  | Item to associate data with
`Data: Pointer;` |  | Data associated with item
`end;`

## Description

TBucketItem is a record used for internal use in TCustomBucketList. It should not be necessary to use it directly.

## See also

TCustomBucketList |  | Custom bucket list class